package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderUserrefundRequest struct {
	/*
	   退款信息     */
	OrderUserRefundInfo *domain.AlibabaWdkChannelOrderUserrefundOrderUserRefundInfo `json:"order_user_refund_info" required:"true" `
}

func (s *AlibabaWdkChannelOrderUserrefundRequest) SetOrderUserRefundInfo(v domain.AlibabaWdkChannelOrderUserrefundOrderUserRefundInfo) *AlibabaWdkChannelOrderUserrefundRequest {
	s.OrderUserRefundInfo = &v
	return s
}

func (req *AlibabaWdkChannelOrderUserrefundRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderUserRefundInfo != nil {
		paramMap["order_user_refund_info"] = util.ConvertStruct(*req.OrderUserRefundInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelOrderUserrefundRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
